<?php

	/**
	 * Params class that defines what to pull with ETumblrJson
	 * @author Dimitar Dinchev, Instinctiv Inc (http://instinctiv.com/)
	 *
	 */
	class ETumblrParams
	{
		protected $_start;
		protected $_num;
		protected $_filter;
		protected $_type;
		
		public function __construct($start = 0, $num = 10, $filter = null, $type = null) {
			$this->setStart($start);
			$this->setNum($num);
			$this->setFilter($filter);
			$this->setType($type);
		}
		
		public function setStart($start) {
			$this->_start = $start;
			return $this;
		}
		
		public function getStart() {
			return $this->_start;
		}
		
		public function setNum($num) {
			$this->_num = $num;
			return $this;
		}
		
		public function getNum() {
			return $this->_num;
		}
		
		public function setFilter($filter) {
			$this->_filter = $filter;
			return $this;
		}
		
		public function getFilter() {
			return $this->_filter;
		}
	
		public function setType($type) {
			$this->_type = $type;
			return $this;
		}
		
		public function getType() {
			return $this->_type;
		}
		
		public function getAsArray() {
			return array(
				'start' => $this->getStart(),
				'num' => $this->getNum(),
				'filter' => $this->getFilter(),
				'type' => $this->getType(),
			);
		}
	}